package com.steerinfo.dil.controller;

import com.steerinfo.dil.mapper.OmstruckOrderMapper;
import com.steerinfo.dil.service.IOmstruckOrderMaterialService;
import com.steerinfo.dil.service.impl.OmstruckOrderMaterialServiceImpl;
import com.steerinfo.dil.util.BaseRESTfulController;
import com.steerinfo.dil.util.ColumnDataUtil;
import com.steerinfo.framework.controller.RESTfulResult;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;
import java.util.Map;


/**
 * OmstruckOrder RESTful接口：
 *
 * @author generator
 * @version 1.0-SNAPSHORT 2021-10-15 09:37
 * 类描述
 * 修订历史：
 * 日期：2021-10-15
 * 作者：generator
 * 参考：
 * 描述：OmstruckOrder RESTful接口
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 * @see null
 */
@RestController
@RequestMapping("/${api.version}/omstruckmatetialorders")
public class OmstruckOrderMaterialController extends BaseRESTfulController {

    @Autowired
    OmstruckOrderMaterialServiceImpl omstruckOrderMaterialService;
    @Autowired
    ColumnDataUtil columnDataUtil;

    @Autowired
    OmstruckOrderMapper omstruckOrderMapper;

    @ApiOperation(value = "查询钢材订单号")
    @GetMapping("getSteelOrderNum")
    public RESTfulResult getSteelOrderNum(String capacityId){
        List<Map<String, Object>> returnMes = omstruckOrderMaterialService.getSteelOrderNum(capacityId);
        return success(returnMes);
    }

    @ApiOperation(value = "查询钢材订单信息")
    @GetMapping("getMesToSteelDepartment")
    public RESTfulResult getMesToSteelDepartment(Integer orderId){
        Map<String, Object> map = omstruckOrderMaterialService.getMesToSteelDepartment(orderId);
        return success(map);
    }

    @ApiOperation(value = "查询钢材订单信息")
    @PostMapping("updateMaterialMes")
    public RESTfulResult updateMaterialMes(@RequestBody(required = false) Map<String, Object> map){
        int i = omstruckOrderMaterialService.updateMaterialMes(map);
        return success(i);
    }
}
