package com.steerinfo.dil.controller;

import com.steerinfo.dil.feign.IMFeign;
import com.steerinfo.dil.model.Message;
import com.steerinfo.dil.model.OmstruckOrder;
import com.steerinfo.dil.model.OmstruckOrderMaterial;
import com.steerinfo.dil.service.IOmstruckOrderMaterialService;
import com.steerinfo.dil.service.IOmstruckOrderService;
import com.steerinfo.dil.util.BaseRESTfulController;
import com.steerinfo.framework.controller.RESTfulResult;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.math.BigDecimal;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @ author    :TXF
 * @ time      :2021/10/27 18:07
 */

@RestController
@RequestMapping("/${api.version}/utilscontroller")
public class UtilsController extends BaseRESTfulController {

    @Autowired
    IOmstruckOrderService omstruckOrderService;

    @Autowired
    IOmstruckOrderMaterialService omstruckOrderMaterialService;

    @Autowired
    IMFeign imFeign;

    @ApiOperation(value = "运输订单新增方法")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "map", value = "运输订单主键id加同意/拒绝状态码", required = false, dataType = "Map"),
    })
    @PostMapping("/insertSelectiveOrder")
    public RESTfulResult insertSelectiveOrder(@RequestBody(required = false) OmstruckOrder omstruckOrder) {
        int i = omstruckOrderService.insertSelective(omstruckOrder);
        return success(i);
    }

    @ApiOperation(value = "新增采购内转运输订单")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "map", value = "运输订单主键id加同意/拒绝状态码", required = false, dataType = "Map"),
    })
    @PostMapping("/addPurInwardOrder")
    public RESTfulResult addPurInwardOrder(@RequestParam BigDecimal orderId) {
        int i = omstruckOrderService.addPurInwardOrder1(orderId);
        return success(i);
    }




    @ApiOperation(value = "运输订单子表新增方法")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "map", value = "运输订单主键id加同意/拒绝状态码", required = false, dataType = "Map"),
    })
    @PostMapping("/insertSelectiveOrderMaterial")
    public RESTfulResult insertSelectiveOrderMaterial(@RequestBody(required = false) OmstruckOrderMaterial omstruckOrderMaterial) {
        int i = omstruckOrderMaterialService.insertSelective(omstruckOrderMaterial);
        return success(i);
    }

    //================================================================================================
//    /**
//     * 仓储网格数据插入逻辑（！！！非必要情况，千万别打开）
//     * @return
//     */
//    @PostMapping("/insertGrid")
//    public RESTfulResult insertGrid() {
//        int result = omstruckOrderMaterialService.insertGrid();
//        return success(result);
//    }

}
