package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.OmstruckOrder;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.Collection;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * 运输订单第二个 mapper
 * @ author    :TXF
 * @ time      :2021/12/3 13:10
 */
@Mapper
public interface OmstruckOrderSeparateMapper {
    //通过订单Id 查询关联的线路子表顺序
    List<Map<String, Object>> getLineMesByOrderId(Integer lineId);

    //通过运输订单Id更改订单状态
    int updateOrderStatusByOrderNum(Map<String, Object> map);

    //通过运输订单Id查询订单所有信息
    Map<String, Object> getOmstruckOrderResult(BigDecimal orderId);

    // 通过总实绩id得到运单id
    BigDecimal getOrderIdByTotalId(BigDecimal reusltTotalId);

    // 通过运单id查询运单信息
    Map<String, Object> getOrderMessagge(BigDecimal orderId);

    // 通过运单id查询路段名称
    List<Map<String, Object>> getSegmentList(BigDecimal orderId);

    // 通过运单id查询实绩点
    Map<String, Object> getResultPointList(BigDecimal orderId);

    // 通过运输订单号查询运单id
    BigDecimal getOrderIdByOrderNumber(String orderNumber);

    //通过总实绩ID查询物资信息
    List<Integer> getMaterialIdByTotalId(Integer resultTotalId);

    //通过订单ID查询总实绩ID
    Integer getTotalIdByOrderId(BigDecimal orderId);

    Integer getTotalIdByOrderIdOrOrderNum(Map<String, Object> map);

    //查询展示两个数据的实绩数据
    List<Map<String, Object>> getTwoDateMes(@Param("resultTotalId") BigDecimal resultTotalId);

    //通过总实绩Id查询四个数据的实绩数据
    List<Map<String, Object>> getFourDateMes(@Param("resultTotalId") BigDecimal resultTotalId);

    //通过总实绩ID和路段顺序号查询退货实绩数据
    Map<String, Object> getReturnMes(Map<String, Object> map);

    // 查看承运商所属的订单
    List<Map<String, Object>> getInputOrderList(Map<String, Object> mapValue);

    //查询零星物资出厂订单信息（还未分配车辆）状态：3  13
    List<Map<String, Object>> getOthersOrderMesToSend(Map<String, Object> map);

    // 查询销售订单的物资件数或重量
    List<Map<String, Object>> getWeightOrNumber(BigDecimal saleOrderMaterialId);

    //修改零星订单运输趟次
    int updateTimes(@Param("orderPlanId") BigDecimal orderPlanId, @Param("times")int times);

    //修改已运输趟次
    int updateTranTimes(@Param("orderPlanId") BigDecimal orderPlanId, @Param("times")int times);


    //查询当前车辆之前所有已完成的订单
    List<Map<String, Object>> getCapacityAllOrder(Map<String,Object> map);

    //查询订单发货日期（订单类型为2）
    Integer getDeliveryDate(Object orderId);

    // 查询销售焦炭所需的map
    Map<String, Object> getSaleAllMessages(BigDecimal orderId);

    // 查询销售焦炭所需的mapList
    List<Map<String, Object>> getMapList(BigDecimal orderId);

    // 查询销售焦炭的最大车序号
    List<Map<String, Object>> getMaxTruckNo(BigDecimal saleOrderId);

    //修改采购订单是否为一车多趟
    int updateAPOisMoreTrips(BigDecimal purchaseOrderId);
//    int updateTimes(@Param("orderPlanId") BigDecimal orderPlanId, @Param("times")int times);

    //通过装卸工SSOID查询装过的订单信息
    List<Map<String, Object>> getAllLoaderLoadingOrder(Map<String, Object> map);

    Integer getOrderPlanEnable(Object orderId);

    //通过总实绩ID查询进厂实绩数据
    List<Map<String, Object>> getAllEnOutFactoryResultMesByTotalId(@Param("resultTotalId") BigDecimal resultTotalId);

      //通过总实绩ID查询装车实绩数据
    List<Map<String, Object>> getAllLoadUnloadResultMesByTotalId(@Param("resultTotalId") BigDecimal resultTotalId);

     //通过总实绩ID查询计毛实绩数据
    List<Map<String, Object>> getAllMaoPiWeightResultMesByTotalId(@Param("resultTotalId") BigDecimal resultTotalId);

    int closeInwardOrder(@Param("orderId") Integer orderId, @Param("sqe") Integer sqe);

    List<Map<String, Object>> getTimeTaskEndOrder(Map<String, Object> map);

    int  getInward(Object orderType);

    //根据订单ID查询信息
    Map<String, Object> getOrderMesByOrderId(BigDecimal orderId);

    int updateSporadicStatus(BigDecimal orderPlanId,int sporadicStatus);

    //查询计时进程
    List<Map<String, Object>> getTimeOrderResult(BigDecimal resultTotalId);

    Integer getSporadicStatus(Object orderId);


    List<Map<String, Object>> getThreeDateMes(BigDecimal resultTotalId);

    int cancelLoadMaterialBySteel(BigDecimal orderId);

    Map<String, Object> getPriceInfo(Integer orderId);

}
